Skip to main content
POST
Summarize content

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

project_id

id
string
required

id

Body

application/json
model
enum<string> | null

The model of AI. Possible values are gpt-4o-mini

Available options:
gpt-4o-mini
prompt
string | null

The AI prompt

temperature
number | null
limit_token_usage
integer | null

Response

200 - application/json

successful

section
string

The section type of the segment

content_type
enum<string>

The content type of the segment. Possible values are text, audio, image, or video. Images and videos appear in generated videos

Available options:
text,
audio,
image,
video
text
string | null

The plain text for this segment. Required if content_type is text

audio_url
string | null

The URL of the uploaded audio file for this segment. Required if content_type is audio

image_url
string | null

The URL of the uploaded image file for this segment. Required if content_type is image

video_url
string | null

The URL of the uploaded video file for this segment. Required if content_type is video